\name{contrastTest}
\alias{contrastTest}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{'contrastTest' performs simultaneous tests of linear contrasts on the parameters estimates from a linear model. }
\description{
'contrastTest' performs an F test for simultaneous tests of linear contrasts using an appropriately specified lambda matrix and an lm object.
}
\usage{
contrastTest(model, lambda, cVec = NA, p = 0.01)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{model}{An lm object. }
  \item{lambda}{A matrix of coefficients in the appropriate order to be multiplied by the estromated coefficients of the lm object. }
  \item{cVec}{A vector of constants for testing that the linear contrasts equal something other than zero.  If this is unspecified, it is assumed to be zero. }
  \item{p}{The significance level at which to perform the contrast test. }
}
%\details{
%  ~~ If necessary, more details than the __description__  above ~~
%}
\value{
  \item{test }{Returns "REJECT" or "FAIL TO REJECT" based on the result of the test of hypothesis.}
  \item{pvalue}{The pvalue from the F test.}
  \item{cEst}{The contrast estimate.}
}
%\references{ ~put references to the literature/web site here ~ }
\author{Denise Scholtens}
%\note{ ~~further notes~~ }

% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{\code{\link{par2lambda}},\code{\link{lm}}  }
\examples{

data(estrogen)
ES <- pData(estrogen)[["ES"]]
TIME <- pData(estrogen)[["TIME"]]   
fit <- lm(exprs(estrogen)[6,] ~ ES + TIME + ES*TIME)
betaNames <- names(fit[["coef"]])
betas <- list(c("TIME48h","ESP:TIME48h"))
coefs <- list(c(1,1))
lambda <- par2lambda(betaNames,betas,coefs)
contrastTest(fit,lambda)




}
\keyword{models }
\keyword{design }
\keyword{htest }
