\name{madOutPair}
\alias{madOutPair}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{A function to determine if the pair with the largest difference between replicates is the result of a single outlier. }
\description{
This function is intended to be used in conjunction with outlierPair.  After outlierPair detects a pair of replicate observations with a significantly large difference between the observations, madOutPair uses median absolute deviation criteria for determining if one of the replicates is a single outlier.
}
\usage{
madOutPair(x, whichPair, c = 4)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{A vector of observations. }
  \item{whichPair}{A result of outlierPair, recording which pair has largest difference between replicate observations. }
  \item{c}{The number of median absolute deviations to be used as a cutoff for determining single outliers.  }
}
\details{

Once pairs with significantly large differences are identified using outlierPair, madOutPair is applied.  If only one of the tagged replicates falls outside the range of (med(x)-c*mad(x),med(x)+c*mad(x)), the observation is designated the single outlier.

}
\value{
  The index of the single outlier observation, or "NA" if no single outliers are detected.
}
\references{Scholtens et al. Analyzing Factorial Designed Microarray Experiments.  Journal of Multivariate Analysis.  To appear.  }
\author{Denise Scholtens }
%\note{ ~~further notes~~ }

% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{\code{\link{outlierPair}}}
\examples{

data(estrogen)
outP <- outlierPair(exprs(estrogen)[247,],INDEX=pData(estrogen))[["whichPair"]]
madOutPair(exprs(estrogen)[247,],outP)
outP <- outlierPair(exprs(estrogen)[495,],INDEX=pData(estrogen))[["whichPair"]]
madOutPair(exprs(estrogen)[495,],outP)


}
\keyword{models }
\keyword{design }

