\name{par2lambda}
\alias{par2lambda}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{A function to construct the appropriate lambda matrix for a test of contrast of linear model parameters. }
\description{

'par2lambda' takes list of lm coefficient names and a corresponding list of numeric vectors corresponding to hypothesis tests of linear contrasts and returns a lambda matrix suitable for an F-test of the linear contrasts.  'par2lambda' is intended to be used in conjunction with 'contrastTest', 'findFC', or 'findFClog'.

}
\usage{
par2lambda(betaNames, betas, coefs)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{betaNames}{A character vector of the names of the coefficients in a linear model. }
  \item{betas}{A list of vectors of the parameters to be used in the contrasts. }
  \item{coefs}{A list of vectors of numeric coefficients corresponding to betas. }
}
%\details{
%}
\value{
A lambda matrix constructed for testing linear contrasts using lm output.
}
%\references{ ~put references to the literature/web site here ~ }
\author{Denise Scholtens }
%\note{ ~~further notes~~ }

\seealso{\code{\link{contrastTest}},\code{\link{findFC}},\code{\link{findFClog}} }
\examples{
data(estrogen)
ES <- pData(estrogen)[["ES"]]
TIME <- pData(estrogen)[["TIME"]]
fit <- lm(exprs(estrogen)[1,] ~ ES + TIME + ES*TIME)
betaNames <- names(fit[["coef"]])
betas <- list(c("ESP","ESP:TIME48h"),c("TIME48h","ESP:TIME48h"))
coefs <- list(c(1,1),c(1,1))
par2lambda(betaNames,betas,coefs)

}
\keyword{models }
\keyword{design }
